Bug 598859 - Adding fence_xvm fence device through luci interface throws TypeError Traceback
Adding fence_xvm fence device through luci interface throws TypeError Traceback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks: 600039
  Show dependency treegraph
 
Reported: 2010-06-02 04:27 EDT by Ryan Mitchell
Modified: 2010-11-10 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: luci-0.22.2-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:10:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Mitchell 2010-06-02 04:27:43 EDT
Description of problem:
When trying to create a fence_xvm device with name "myfence" on a new cluster with luci, luci interface displays "Error creating fence fence_xvm device".  

Traceback found in /var/log/luci/luci.log:
17:49:30,930 ERROR [luci.widget_validators.validate_fence] Error validating fence device fence_xvm
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/luci/widget_validators/validate_fence.py", line 633, in validate_fencedevice
    ret = FD_VALIDATE[fence_agent](fencedev, fence_name, **kw)
TypeError: val_noop_fd() takes exactly 1 non-keyword argument (2 given)


Version-Release number of selected component (if applicable):
luci-0.22.2-1.el6.x86_64
fence-virt-0.2.1-4.el6.x86_64

How reproducible:
Repeatable.

Steps to Reproduce:
1. Install Red Hat Enterprise Linux 6 Host (dom0), and 2x Red Hat Enterprise Linux 5 virtual guests (domU) in KVM.
2. Install luci on the RHEL6 host (dom0), and create an empty 2 node cluster on the 2 rhel5 guests.
3. Attempt to create fence_xvm device through luci interface (on RHEL6 dom0).

Actual results:
Error in Luci interface: "Error creating fence fence_xvm device"

Expected results:
Creates shared fence_xvm fence device.

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-07 12:01:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 releng-rhel@redhat.com 2010-11-10 17:10:55 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.